/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.xrtygis.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.xrtygis.entity.TfYwpnDmaregionotherW;
import com.tofly.xrtygis.service.TfYwpnDmaregionotherWService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * DMA分区小区其他信息表
 *
 * @author JF
 * @date Thu Feb 29 00:00:00 CST 2024
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfywpndmaregionotherw")
@Api(tags="DMA分区小区其他信息表接口")
public class TfYwpnDmaregionotherWController {

    private final  TfYwpnDmaregionotherWService tfYwpnDmaregionotherWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfYwpnDmaregionotherW DMA分区小区其他信息表
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTfYwpnDmaregionotherWPage(Page page, @ModelAttribute TfYwpnDmaregionotherW tfYwpnDmaregionotherW) {
      return ResultRespone.success(tfYwpnDmaregionotherWService.page(page, Wrappers.query(tfYwpnDmaregionotherW)));
    }


    /**
     * 通过id查询DMA分区小区其他信息表
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(tfYwpnDmaregionotherWService.getById(id));
    }

    /**
     * 新增DMA分区小区其他信息表
     * @param tfYwpnDmaregionotherW DMA分区小区其他信息表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增DMA分区小区其他信息表" )
    @ApiOperation(value = "新增DMA分区小区其他信息表")
    @PostMapping
    public ResultRespone save(@RequestBody TfYwpnDmaregionotherW tfYwpnDmaregionotherW) {
      return ResultRespone.success(tfYwpnDmaregionotherWService.save(tfYwpnDmaregionotherW));
    }

    /**
     * 修改DMA分区小区其他信息表
     * @param tfYwpnDmaregionotherW DMA分区小区其他信息表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改DMA分区小区其他信息表" )
    @ApiOperation(value = "修改DMA分区小区其他信息表")
    @PutMapping
    public ResultRespone updateById(@RequestBody TfYwpnDmaregionotherW tfYwpnDmaregionotherW) {
      return ResultRespone.success(tfYwpnDmaregionotherWService.updateById(tfYwpnDmaregionotherW));
    }

    /**
     * 通过id删除DMA分区小区其他信息表
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除DMA分区小区其他信息表" )
    @ApiOperation(value = "通过ID删除DMA分区小区其他信息表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(tfYwpnDmaregionotherWService.removeById(id));
    }

    /**
     * 通过id批量删除DMA分区小区其他信息表
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除DMA分区小区其他信息表" )
    @ApiOperation(value = "通过ID批量删除DMA分区小区其他信息表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(tfYwpnDmaregionotherWService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
