package com.tofly.xrtygis.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2024/03/12
 * @description 综合展示请求参数
 */
@Data
public class ScadaDataDto implements Serializable {

    @ApiModelProperty("开始时间（yyyy-MM-dd HH:mm:ss）")
    private String startDate;

    @ApiModelProperty("结束时间（yyyy-MM-dd HH:mm:ss）")
    private String endDate;

    @ApiModelProperty("查询时间（yyyy-MM）")
    private String queryMonth;

    @ApiModelProperty("统计类型（0小时统计;1天统计;2月统计;3年统计）")
    private Integer statisticsType;

    @ApiModelProperty("指标编码列表")
    private List<String> indexCodeList;

    @ApiModelProperty("指标类型（字典）")
    private String indexType;

    @ApiModelProperty("指标类型列表（字典）")
    private List<String> indexTypeList;

    @ApiModelProperty("设备ID列表")
    private List<Long> deviceIdList;

    @ApiModelProperty("设备名称（模糊查询）")
    private String deviceName;

    @ApiModelProperty("设备类别（1水厂,2管网）")
    private String deviceCategory;

    @ApiModelProperty("设备类型列表（字典）")
    private List<String> deviceTypeList;

    @ApiModelProperty("DMA分区ID列表")
    private List<Long> dmaIdList;

    @ApiModelProperty("表名")
    private String tableName;

    @ApiModelProperty("查询表类型（1历史表;2缓存表;3实时表）")
    private Integer tableType;

    @ApiModelProperty("是否绑定水厂（0否;1是）")
    private Integer isBindWaterStation;

    @ApiModelProperty("是否需要时间分组汇总（0否;1是）")
    private String isGroupTime;
}
