package com.tofly.xrtygis.custom.entity.vo;

import com.tofly.xrtygis.entity.Dmaregion;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 供水关键指标展示Vo
 * @author JF
 * @date 2022/5/7 14:09
 */
@Data
public class CruxIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户数量
     */
    @ApiModelProperty(value = "用户数量")
    private Integer userNum;

    /**
     * 管网总长度
     */
    @ApiModelProperty(value = "管网总长度")
    private BigDecimal pipeLength;

    /**
     * 设计供水能力（万吨）
     */
    @ApiModelProperty(value = "设计供水能力（万吨）")
    private BigDecimal designWaterCapacity;

    /**
     * 水厂数量
     */
    @ApiModelProperty(value = "水厂数量")
    private Integer waterStationNum;

    /**
     * 一级分区数量
     */
    @ApiModelProperty(value = "一级分区数量")
    private Integer oneRegionNum;

    /**
     * 二级分区数量
     */
    @ApiModelProperty(value = "二级分区数量")
    private Integer twoRegionNum;

    /**
     * DMA分区数量
     */
    @ApiModelProperty(value = "DMA分区数量")
    private Integer dmaRegionNum;

    /**
     * 分区列表
     */
    @ApiModelProperty(value = "分区列表")
    private List<Dmaregion> regionList;

    /**
     * 设备数量
     */
    @ApiModelProperty(value = "设备数量")
    private Integer deviceNum;

    /**
     * 在线设备数量
     */
    @ApiModelProperty(value = "在线设备数量")
    private Integer onLineDeviceNum;

    /**
     * 告警设备数量
     */
    @ApiModelProperty(value = "告警设备数量")
    private Integer warnDeviceNum;

    /**
     * 漏点数量
     */
    @ApiModelProperty(value = "漏点数量")
    private Integer leakNum;

    /**
     * 处置率（%）
     */
    @ApiModelProperty(value = "处置率（%）")
    private Float handleRate;

    /**
     * 告警消息数量
     */
    @ApiModelProperty(value = "告警消息数量")
    private Integer warnMessageNum;

    /**
     * 昨日漏损率（%）
     */
    @ApiModelProperty(value = "昨日漏损率（%）")
    private Float yesterdayLeakRate;

    /**
     * 上月漏损率（%）
     */
    @ApiModelProperty(value = "上月漏损率（%）")
    private Float lastMonthLeakRate;

    /**
     * 上月产销差（%）
     */
    @ApiModelProperty(value = "上月产销差（%）")
    private Float lastMonthNrw;

    /**
     * 昨日漏损量
     */
    @ApiModelProperty(value = "昨日漏损量")
    private BigDecimal yesterdayLeakWater;

    /**
     * 去年昨日漏损量
     */
    @ApiModelProperty(value = "去年昨日漏损量")
    private BigDecimal lastYearYesterdayLeakWater;

    /**
     * 上月漏损量
     */
    @ApiModelProperty(value = "上月漏损量")
    private BigDecimal lastMonthLeakWater;

    /**
     * 去年上月漏损量
     */
    @ApiModelProperty(value = "去年上月漏损量")
    private BigDecimal lastYearLastMonthLeakWater;

    /**
     * 上月产销差水量
     */
    @ApiModelProperty(value = "上月产销差水量")
    private BigDecimal lastMonthNrwWater;

    /**
     * 去年上月产销差水量
     */
    @ApiModelProperty(value = "去年上月产销差水量")
    private BigDecimal lastYearLastMonthNrwWater;
}
