package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * @author JF
 * @date 2023/9/4
 * @description 水平衡分析
 */
@Data
public class DmaLeakageVo implements Serializable {

    /**
     * 统计时间
     */
    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    /**
     * 分区ID
     */
    @ApiModelProperty(value = "分区ID")
    private Long dmaId;

    /**
     * 分区名称
     */
    @ApiModelProperty(value = "分区名称")
    private String dmaName;

    /**
     * 分区级别
     */
    @ApiModelProperty(value = "分区级别")
    private Integer partitionLevel;

    /**
     * 父级分区ID
     */
    @ApiModelProperty(value = "父级分区ID")
    private Long pid;

    /**
     * 夜间合理用水量（m³/h）
     */
    @ApiModelProperty(value = "夜间合理用水量（m³/h）")
    private Double nightJusticeWater;

    /**
     * 漏损率上限
     */
    @ApiModelProperty(value = "漏损率上限")
    private Float leakUp;

    /**
     * 漏损率下限
     */
    @ApiModelProperty(value = "漏损率下限")
    private Float leakDown;

    /**
     * 类型（1管理分区；2DMA分区（小区））
     */
    @ApiModelProperty(value = "类型（1管理分区；2DMA分区（小区））")
    private String type;

    /**
     * 入口水表数值
     */
    @ApiModelProperty(value = "入口水表数值")
    private BigDecimal inWaterMeterValue;

    /**
     * 入口水表用水量信息列表
     */
    @ApiModelProperty(value = "入口水表用水量信息列表")
    private List<TableUsageVo> inWaterMeterInfos;

    /**
     * 出口水表数值
     */
    @ApiModelProperty(value = "出口水表数值")
    private BigDecimal outWaterMeterValue;

    /**
     * 出口水表用水量信息列表
     */
    @ApiModelProperty(value = "出口水表用水量信息列表")
    private List<TableUsageVo> outWaterMeterInfos;

    /**
     * 差值
     */
    @ApiModelProperty(value = "差值")
    private BigDecimal diffValue;

    /**
     * 注册用户用水量
     */
    @ApiModelProperty(value = "注册用户用水量")
    private BigDecimal registerUserWater;

    /**
     * 免费用水量
     */
    @ApiModelProperty(value = "免费用水量")
    private BigDecimal freeWater;

    /**
     * 夜间最小流量
     */
    @ApiModelProperty(value = "夜间最小流量")
    private BigDecimal minNightFlow;

    /**
     * 漏损率（%）
     */
    @ApiModelProperty(value = "漏损率（%）")
    private Float leakageRate;

    /**
     * 漏损是否告警（0否1是）
     */
    @ApiModelProperty(value = "漏损是否告警（0否1是）")
    private String isLeakageWarn;

    /**
     * 夜间最小流量是否告警（0否1是）
     */
    @ApiModelProperty(value = "夜间最小流量是否告警（0否1是）")
    private String isMinNightWarn;
}
