package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2024/05/20
 * @description DMA分区相关水量分析报表
 */
@Data
public class DmaWaterAboutVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    @ApiModelProperty(value = "分区ID")
    private Long regionId;

    @ApiModelProperty(value = "分区名称")
    private String regionName;

    @ApiModelProperty(value = "供水量（m³）")
    private BigDecimal supplyWater;

    @ApiModelProperty(value = "计费用水量（m³）")
    private BigDecimal chargeUseWater;

    @ApiModelProperty(value = "免费用水量（m³）")
    private BigDecimal freeUseWater;

    @ApiModelProperty(value = "漏损水量（m³）")
    private BigDecimal leakageWater;

    @ApiModelProperty(value = "产销差水量（m³）")
    private BigDecimal nrwWater;

    @ApiModelProperty(value = "漏损率（%）")
    private Float leakageRate;

    @ApiModelProperty(value = "产销差（%）")
    private Float nrw;

    @ApiModelProperty(value = "漏点数量")
    private Integer leakNum;
}
