package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 抄表到户相关数据
 * @author JF
 * @date 2024/03/12
 */
@Data
public class MeterAboutVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 年居民抄表到户水量（m³）
     */
    @ApiModelProperty(value = "年居民抄表到户水量（m³）")
    private BigDecimal yearResidentMeterWater;

    /**
     * 年填报免费用水量（m³）
     */
    @ApiModelProperty(value = "年填报免费用水量（m³）")
    private BigDecimal yearFillFreeWater;

    /**
     * 年取水栓消防栓用水量（m³）
     */
    @ApiModelProperty(value = "年取水栓消防栓用水量（m³）")
    private BigDecimal yearWaterFireWater;

    /**
     * 年供水量（m³）
     */
    @ApiModelProperty(value = "年供水量（m³）")
    private BigDecimal yearSupplyWater;
}
