package com.tofly.xrtygis.custom.entity.vo;

import com.tofly.xrtygis.entity.scada.ScadaReport;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2024/03/12
 * @description SCADA指标设备相关值
 */
@Data
public class ScadaIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "指标名称")
    private String indexName;

    @ApiModelProperty(value = "指标状态（0未报警；1报警）")
    private String indexStatus;

    @ApiModelProperty(value = "指标报警等级")
    private String reportLevel;

    @ApiModelProperty(value = "指标类型ID")
    private String indexTypeId;

    @ApiModelProperty(value = "指标单位")
    private String indexUnit;

    @ApiModelProperty(value = "指标报警阈值ID集")
    private String reportIds;

    @ApiModelProperty(value = "指标值")
    private String indexValue;

    @ApiModelProperty(value = "指标值最大值")
    private String indexValueMax;

    @ApiModelProperty(value = "指标值最小值")
    private String indexValueMin;

    @ApiModelProperty(value = "指标值平均值")
    private String indexValueAvg;

    @ApiModelProperty(value = "指标值累计值")
    private String indexValueFold;

    @ApiModelProperty(value = "指标报警总数")
    private String errorCount;

    @ApiModelProperty(value = "指标合格率（%）")
    private String passRate;

    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    @ApiModelProperty(value = "设备编码")
    private String deviceCode;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备状态（0正常;1离线;2报警）")
    private String deviceStatus;

    @ApiModelProperty(value = "水厂ID")
    private String waterStationId;

    @ApiModelProperty(value = "水厂名称")
    private String waterStationName;

    @ApiModelProperty(value = "报警列表")
    private List<ScadaReport> reportList;

}
