/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 指标修正记录表
 *
 * @author admin
 * @date Thu Apr 28 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_INDICATOR_CORRECTION_W", resultMap = "indicatorCorrectionMap")
@KeySequence("TF_YWPN_INDICATOR_CORRECTION_W")
@ApiModel
public class IndicatorCorrection extends Model<IndicatorCorrection> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 修正日期
     */
    @ApiModelProperty(value = "修正日期")
    @JsonFormat(pattern = "yyyy", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reviseDate;
//    /**
//     * $column.comments
//     */
//    @ApiModelProperty(value = "$column.comments")
//    private Long dmaId;
//    @ApiModelProperty(value = "DMA编码")
//    private String dmaCode;
//    /**
//     * DMA分区名称
//     */
//    @ApiModelProperty(value = "DMA分区名称")
//    private String dmaName;
//
//    @ApiModelProperty(value = "分区级别")
//    private Integer dmaLevel;
//
//    @ApiModelProperty(value = "分区级别名称")
//    @TableField(exist = false)
//    private String dmaLevelName;
    /**
     * 居民抄表到户水量修正值（R1)
     */
    @ApiModelProperty(value = "居民抄表到户水量占总供水量比例")
    private BigDecimal jmcbZgsBl;
    /**
     * 居民抄表到户水量（m³）
     */
    @ApiModelProperty(value = "居民抄表到户水量（m³）")
    private BigDecimal jmcbdhSl;
    /**
     * 注册用户用水量（m³）
     */
    @ApiModelProperty(value = "注册用户用水量（m³）")
    private BigDecimal zcyhYsl;
    /**
     * 年平均出长压力（mPa）
     */
    @ApiModelProperty(value = "年平均出长压力（mPa）")
    private BigDecimal npjccYl;
    /**
     * 最大冻土深度（m）
     */
    @ApiModelProperty(value = "最大冻土深度（m）")
    private BigDecimal zddtSd;
    /**
     * 居民抄表到户水量修正值（R1)
     */
    @ApiModelProperty(value = "居民抄表到户水量修正值（R1)")
    private BigDecimal jmcbXzz;
    /**
     * 单位供水量管长修正值(R2)
     */
    @ApiModelProperty(value = "单位供水量管长修正值(R2)")
    private BigDecimal dwgsXzz;
    /**
     * 年平均出厂压力修正值(R3)
     */
    @ApiModelProperty(value = "年平均出厂压力修正值(R3)")
    private BigDecimal npjylXzz;
    /**
     * 最大冻土深度修正值(R4)
     */
    @ApiModelProperty(value = "最大冻土深度修正值(R4)")
    private BigDecimal zddtsdXzz;
    /**
     * 总修正值(R)
     */
    @ApiModelProperty(value = "总修正值(R)")
    private BigDecimal zxzz;
    /**
     * 综合漏损率
     */
    @ApiModelProperty(value = "综合漏损率")
    private BigDecimal beforeLeak;
    /**
     * 修正后漏损率
     */
    @ApiModelProperty(value = "修正后漏损率")
    private BigDecimal afterLeak;
//    /**
//     * 当前修正差
//     */
//    @ApiModelProperty(value = "当前修正差")
//    private BigDecimal differenceLeak;
    @ApiModelProperty(value = "DMA分区的 DN75（含）以上管道长度 总长 km")
    private BigDecimal dnLengthVal;
    @ApiModelProperty(value = "供水量(scada供水量+远传表供水量)")
    private BigDecimal waterSupply;
    @ApiModelProperty(value = "单位供水量管长")
    private BigDecimal pipeLength;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.UPDATE)
    private Long updateUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String updateUserName;

//    @ApiModelProperty(value = "统计开始日期")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @TableField(exist = false)
//    private Date startTime;
//
//    @ApiModelProperty(value = "统计结束日期")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @TableField(exist = false)
//    private Date endTime;

}
