/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * DMA分区小区其他信息表
 *
 * @author JF
 * @date Thu Feb 29 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_DMAREGIONOTHER_W",resultMap = "tfYwpnDmaregionotherWMap")
@KeySequence("TF_YWPN_DMAREGIONOTHER_W")
@ApiModel
public class TfYwpnDmaregionotherW extends Model<TfYwpnDmaregionotherW> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * DMA分区ID
     */
            @ApiModelProperty(value = "DMA分区ID")
                private Long dmaId;
                /**
     * 小区类型
     */
            @ApiModelProperty(value = "小区类型")
                private String villageType;
                /**
     * 小区描述
     */
            @ApiModelProperty(value = "小区描述")
                private String villageRemark;
                /**
     * 小区地址
     */
            @ApiModelProperty(value = "小区地址")
                private String villageAddress;
                /**
     * 背景漏失量（m³/h）
     */
            @ApiModelProperty(value = "背景漏失量（m³/h）")
                private Double uarl;
                /**
     * 主管长度（km）
     */
            @ApiModelProperty(value = "主管长度（km）")
                private Double pipeLength;
                /**
     * 配水管长度（km）
     */
            @ApiModelProperty(value = "配水管长度（km）")
                private Double peiPipeLength;
                /**
     * 节点数量
     */
            @ApiModelProperty(value = "节点数量")
                private Long pointNum;
                /**
     * 平均压力（MPa）
     */
            @ApiModelProperty(value = "平均压力（MPa）")
                private Double avePressure;
                /**
     * 居民夜间用水量（m³/h）
     */
            @ApiModelProperty(value = "居民夜间用水量（m³/h）")
                private Double nightUserWater;
                /**
     * 用户户数
     */
            @ApiModelProperty(value = "用户户数")
                private Long userNum;
                /**
     * 户均人数
     */
            @ApiModelProperty(value = "户均人数")
                private Long aveUserNum;
                /**
     * 夜间人均用水（L/h·人）
     */
            @ApiModelProperty(value = "夜间人均用水（L/h·人）")
                private Double nightAveWater;
                /**
     * 其他合理用水量（m³/h）
     */
            @ApiModelProperty(value = "其他合理用水量（m³/h）")
                private Double otherUserWater;
                /**
     * 比例（%）
     */
            @ApiModelProperty(value = "比例（%）")
                private Float scale;
                /**
     * 工业用水量（m³/h）
     */
            @ApiModelProperty(value = "工业用水量（m³/h）")
                private Double industryUserWater;
                /**
     * 夜间合理用水量（m³/h）
     */
            @ApiModelProperty(value = "夜间合理用水量（m³/h）")
                private Double nightJusticeWater;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
            
}
