package com.tofly.xrtygis.entity.vo;

import com.tofly.xrtygis.entity.Dmaregion;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author JF
 * @date 2024/5/16
 * @description dma分区相关信息Vo
 */
@Data
public class DmaAboutVo extends Dmaregion implements Serializable {

    /**
     * 上月漏损率（%）
     */
    @ApiModelProperty(value = "上月漏损率（%）")
    private Float lastMonthLeakage;

    /**
     * 上月产销差（%）
     */
    @ApiModelProperty(value = "上月产销差（%）")
    private Float lastMonthNrw;

    /**
     * 昨日夜间最小流量（m³/h）
     */
    @ApiModelProperty(value = "昨日夜间最小流量（m³/h）")
    private BigDecimal yesterdayMinNightFlow;

    /**
     * 昨日夜间最小流量出现时间（m³/h）
     */
    @ApiModelProperty(value = "昨日夜间最小流量出现时间（m³/h）")
    private Date yesterdayMinNightTime;

    /**
     * 昨日夜间最小流量报警次数
     */
    @ApiModelProperty(value = "昨日夜间最小流量报警次数")
    private Long yesterdayMinNightWarn;

    /**
     * 昨日用水量（m³）
     */
    @ApiModelProperty(value = "昨日用水量（m³）")
    private BigDecimal yesterdayWater;
}
