package com.tofly.watermeter.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.watermeter.custom.entity.KhSearch;
import com.tofly.watermeter.custom.entity.meterRead.CensusAllocation;
import com.tofly.watermeter.custom.entity.meterRead.CensusBhAndXhList;
import com.tofly.watermeter.entity.Qfkhjbxx;
import com.tofly.watermeter.service.CensusBindZoneService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/censusBindZone")
@Api(tags = "普查客户分配相关接口")
public class CensusBindZoneController {

    private final CensusBindZoneService censusBindZoneService;

    @GetMapping("/commonKh")
    @ApiOperation(value = "普查分配客户查询（WEB端）")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "yhbh", value = "用户编号", dataType = "String"),
            @ApiImplicitParam(name = "phone", value = "电话", dataType = "String"),
            @ApiImplicitParam(name = "yhxm", value = "用户姓名", dataType = "String")
    })
    public ResultRespone commonKh(Page<Qfkhjbxx> page, KhSearch khSearch, HttpServletResponse response) {
        return ResultRespone.success(censusBindZoneService.commonKh(page , khSearch , response));
    }

    @PostMapping("/allocationManager")
    @ApiOperation(value = "分配管理--WEB端用户分配/移除")
    public ResultRespone allocationManager(@RequestBody CensusAllocation allocation) {
        return ResultRespone.success(censusBindZoneService.allocationManager(allocation));
    }

    @PostMapping("/orderManager")
    @ApiOperation(value = "排序管理")
    public ResultRespone orderManager(@RequestBody CensusBhAndXhList yhbhAndCbxhList) {
        return ResultRespone.success(censusBindZoneService.orderManager(yhbhAndCbxhList));
    }

    @GetMapping("/getQyAndQd")
    @ApiOperation(value = "获取区域与区域段(树形结构)")
    public ResultRespone getQyAndQd(String isState) {
        return ResultRespone.success(censusBindZoneService.getQyAndQd(isState));
    }

}
