package com.tofly.watermeter.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.watermeter.entity.GetParamConfig;
import com.tofly.watermeter.service.GetParamConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/getParamConfig")
@Api(tags = "大屏截取数据参数配置接口")
public class GetParamConfigController {

    private final GetParamConfigService getParamConfigService;

    @GetMapping("/list")
    @ApiOperation("获取配置消息")
    public ResultRespone getParamConfig() {
        return ResultRespone.success(getParamConfigService.list());
    }

    @PostMapping("/insertConfig")
    @ApiOperation("增加配置信息")
    public ResultRespone insertConfig(@RequestBody GetParamConfig getParamConfig){
        return ResultRespone.success(getParamConfigService.save(getParamConfig));
    }

    @PutMapping("/updateConfig")
    @ApiOperation("修改配置信息")
    public ResultRespone updateConfig(@RequestBody GetParamConfig getParamConfig){
        return ResultRespone.success(getParamConfigService.updateById(getParamConfig));
    }

    @DeleteMapping("/deleteConfig")
    @ApiOperation("删除配置信息")
    public ResultRespone deleteConfig(String paramId){
        return ResultRespone.success(getParamConfigService.removeByIds(Arrays.asList(paramId.split(","))));
    }


}
