package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author Bubble
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName(value = "TF_YWPN_AIREADMETER_W", resultMap = "aiReadMeterMap")
@KeySequence("TF_YWPN_AIREADMETER_W")
@ApiModel
public class AiReadMeter extends Model<AiReadMeter> {
    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ApiModelProperty(value = "用户地址")
    private String yhdz;

    @ApiModelProperty(value = "用户姓名")
    private String yhxm;

    @ApiModelProperty(value = "水表编号")
    private String sbbh;

    @ApiModelProperty(value = "抄表计划月份")
    private String monthPlan;

    @ApiModelProperty(value = "本次读数")
    private Long bcds;

    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;

    @ApiModelProperty(value = "抄表标志")
    private String cbbz;

    @ApiModelProperty(value = "抄表人员")
    private String cbry;

    @ApiModelProperty(value = "抄表人员姓名")
    private String cbryName;

    @ApiModelProperty(value = "文件路径")
    private String filePath;

    @ApiModelProperty(value = "ai识别标识")
    private String aibz;

    @ApiModelProperty(value = "ai识别结果")
    private String state;

    @ApiModelProperty(value = "ai识别时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date czsj;

    @ApiModelProperty(value = "ai识别读数")
    private Long aibcds;

    @ApiModelProperty(value = "差异量")
    private Long cyl;

    @ApiModelProperty(value = "ai识别原文")
    private String results;

    @ApiModelProperty(value = "文件id")
    private String fileid;

    @ApiModelProperty(value = "稽查状态 0 未稽查 1 已稽查")
    private String jczt;

    @ApiModelProperty(value = "稽查结果 字典表")
    private String jcjg;

    @ApiModelProperty(value = "稽查读数")
    private Long jcds;

    @ApiModelProperty(value = "稽查人员")
    private String jcry;

    @ApiModelProperty(value = "稽查人员姓名")
    private String jcryName;

    @ApiModelProperty(value = "稽查时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jcsj;

    @ApiModelProperty(value = "稽查备注")
    private String jcremark;

}
