package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 水表普查计划详情
 * @author Bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CENSUSPLANINFO_W", resultMap = "censusPlanDetailsMap")
@KeySequence("TF_YWPN_CENSUSPLANINFO_W")
@ApiModel
public class CensusPlanDetails extends Model<CensusPlanDetails> {


    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 关联计划表TF_YWPN_QFCBQFMX_W中的ID
     */
    @ApiModelProperty(value = "关联计划表TF_YWPN_QFCBQFMX_W中的ID")
    private Long planId;
    /**
     * 抄表区域名称
     */
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    /**
     * 抄表区域编码
     */
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    /**
     * 抄表区段编码
     */
    @ApiModelProperty(value = "抄表区段编码")
    private String cbqydBm;
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;
    /**
     * 抄表人员ID
     */
    @ApiModelProperty(value = "抄表人员ID")
    private Long cbry;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String cbryName;

    /**
     * 抄表开始日
     */
    @ApiModelProperty(value = "普查开始日")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDay;
    /**
     * 抄表结束日
     */
    @ApiModelProperty(value = "普查结束日")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDay;
    /**
     * 是否启用；0：禁用；1：启用；默认启用
     */
    @ApiModelProperty(value = "是否启用；0：禁用；1：启用；默认禁用")
    private String isState;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String isStateName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(exist = false)
    private String isUpdateType;

}
