package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 水表普查表
 *
 * @author Bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_TABLECENSUS_W", resultMap = "tableCensusMap")
@KeySequence("TF_YWPN_TABLECENSUS_W")
@ApiModel
public class TableCensus extends Model<TableCensus> {

    @ApiModelProperty("用户编号")
    private String yhbh;


    @ApiModelProperty("用户姓名")
    private String yhxm;


    @ApiModelProperty("用户地址")
    private String yhdz;

    @ApiModelProperty("联系电话")
    private String lxdh;

    @ApiModelProperty("水表口径")
    private Long sbkj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;


    @ApiModelProperty("水表表号")
    private String sbbh;


    @ApiModelProperty("上次读数")
    private Long scds;


    @ApiModelProperty("用水性质")
    private String ysxz;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String ysxzName;


    @ApiModelProperty("客户状态")
    private String yhzt;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String yhztName;


    @ApiModelProperty("止度复核")
    private Long zdfh;


    @ApiModelProperty("用水性质复核")
    private String ysxzfh;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String ysxzfhName;

    @ApiModelProperty("表位复核")
    private String bwfh;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String bwfhName;


    @ApiModelProperty("机电是否一致")
    private String jdyz;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String jdyzName;


    @ApiModelProperty("屏显状态")
    private String pxzt;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String pxztName;


    @ApiModelProperty("复核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fhsj;


    @ApiModelProperty("复核人员")
    private Long fhry;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String fhryName;


    @ApiModelProperty("备注")
    private String bz;


    @ApiModelProperty("机械文件")
    private String jxwj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String jxwjPath;


    @ApiModelProperty("电子文件")
    private String dzwj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String dzwjPath;

    @ApiModelProperty("水表文件")
    private String sbwj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbwjPath;

    @ApiModelProperty(value = "普查年份")
    private String censusYear;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDay;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDay;

    @ApiModelProperty(value = "抄表区域")
    private String cbqy;

    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;

    @ApiModelProperty(value = "抄表区域段")
    private String cbqyd;

    @ApiModelProperty(value = "抄表区域段名称")
    private String cbqydMc;

    @ApiModelProperty(value = "机械止度复核")
    private Long jxzdfh;

    @ApiModelProperty(value = "数据传输复核")
    private String sjcsfh;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sjcsfhName;

    @ApiModelProperty(value = "抄表人员")
    private Long cbry;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String cbryName;

    @ApiModelProperty(value = "抄表序号")
    private Long cbxh;

    @ApiModelProperty(value = "下载标识 0 未下载 1 已下载")
    private Long xzbz;

}
