package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.dto.AiReadMeterDto;
import com.tofly.watermeter.entity.AiReadMeter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
@Mapper
public interface AiReadMeterMapper extends BaseMapper<AiReadMeter> {
    /**
     * ai识别统计
     * @param dto dto
     * @return list
     */
    List<Map<String, Object>> countAiIdentify(@Param("dto") AiReadMeterDto dto);

    /**
     * ai匹配统计
     * @param dto dto
     * @return list
     */
    List<Map<String, Object>> countMatching(@Param("dto") AiReadMeterDto dto);

    /**
     * 误差统计
     * @param dto dto
     * @return list
     */
    List<Map<String, Object>> countError(@Param("dto") AiReadMeterDto dto);
    /**
     * ai识别总报表
     *
     * @param month 月份 yyyyMM
     * @return list
     */
    List<Map<String, Object>> countAiIdentifyTotal(@Param("month") String month);

    /**
     * ai识别趋势报表
     * @param startMonth 开始月份
     * @param endMonth 结束月份
     * @return list
     */
    List<Map<String, Object>> countAiIdentifyTrend(@Param("startMonth") String startMonth, @Param("endMonth")String endMonth);

    List<Map<String, Object>> countAiSuccess(@Param("startMonth") String startMonth, @Param("endMonth")String endMonth);

    /**
     * 查询未添加抄表数据
     * @return list
     */
    List<AiReadMeter> quneryReadWater();

    List<Map> getFilePaths(@Param("fileId") String fileId);

    Page<Map<String, Object>> customsOfficerPage(Page page, @Param("month") String month, @Param("status") String status);
}
