/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.KhSearch;
import com.tofly.watermeter.custom.entity.meterRead.QyAndQd;
import com.tofly.watermeter.entity.CensusBindZone;
import com.tofly.watermeter.entity.Qfkhjbxx;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户编号与区域、区域段绑定中间表
 *
 * @author wangjieliu
 * @date Mon Jun 07 00:00:00 CST 2021
 */
@Mapper
public interface CensusBindZoneMapper extends BaseMapper<CensusBindZone> {

    IPage<Qfkhjbxx> commonKh(Page<Qfkhjbxx> page, @Param("ysxzList") List<String> ysxzList, @Param("cbqyList") List<String> cbqyList, @Param("cbqydList") List<String> cbqydList,
                             @Param("khSearch") KhSearch khSearch, @Param("sbcjList") List<String> sbcjList,
                             @Param("yhztList") List<String> yhztList, @Param("cbbList") List<String> cbbList);

    List<Qfkhjbxx> commonKh(@Param("ysxzList") List<String> ysxzList, @Param("cbqyList") List<String> cbqyList, @Param("cbqydList") List<String> cbqydList,
                                @Param("khSearch") KhSearch khSearch, @Param("sbcjList") List<String> sbcjList,
                                @Param("yhztList") List<String> yhztList, @Param("cbbList") List<String> cbbList);

    boolean deleteBindInfo(@Param("yhbh") List<String> yhbh);

    Integer getMaxCbxh(@Param("qydbm") String qydbm);


    /**
     * 清除重复数据
     * @return boolean
     */
    boolean deleteDuplicateData();


    void aginSort(@Param("qydbm") String qydbm);

    List<QyAndQd> getQyAndQd();

    List<QyAndQd> getQyAndQdAllocation();

    List<QyAndQd> getQyAndQdPlan();
}
