package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.entity.GetData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
@Mapper
public interface GetDataMapper extends BaseMapper<GetData> {

    /**
     * 获取指标值
     * @param startDate 开始日期
     * @param endDate 结束日期
     * @param index 指标
     * @return list
     */
    List<Map<String, Object>> getIndexValues(@Param("startDate") Date startDate, @Param("endDate") Date endDate, @Param("index") String index);

    /**
     * 获取供水量
     * @return list
     */
    Map<String, Object> getWaterSupply();

}
