package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.dto.TableCensusDto;
import com.tofly.watermeter.custom.entity.CensusQueryDto;
import com.tofly.watermeter.entity.TableCensus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
@Mapper
public interface TableCensusMapper extends BaseMapper<TableCensus> {

    /**
     * 分页查询
     *
     * @param page page
     * @param dto  dto
     * @return page
     */
    Page<Map> tableCensusPage(Page page, @Param("dto") TableCensusDto dto);


    Page<TableCensus> planDownLoad(Page page, @Param("user") Long user);

    List<Map> censusRecordsCount(@Param("dto")CensusQueryDto dto);

    Page<Map> censusRecordPage(Page page,@Param("dto") CensusQueryDto dto);
}
