package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.dto.AiReadMeterDto;
import com.tofly.watermeter.entity.AiReadMeter;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
public interface AiReadMeterService extends IService<AiReadMeter> {
    /**
     * ai识别率统计
     * @param dto dto
     * @return list
     */
    List<Map<String,Object>> countAiIdentify(AiReadMeterDto dto);

    /**
     * ai匹配率统计
     * @param dto dto
     * @return list
     */
    List<Map<String, Object>> countMatching(AiReadMeterDto dto);

    /**
     * 差异值统计
     * @param dto dto
     * @return list
     */
    List<Map<String, Object>> countError(AiReadMeterDto dto);

    /**
     * ai识别抄表数据添加
     * @return Boolean
     */
    boolean insetAiReadMeter();

    /**
     * ai识别总报表
     * @param month 月份 yyyyMM
     * @return list
     */
    List<Map<String, Object>> countAiIdentifyTotal(String month);

    /**
     * ai识别趋势报表
     * @param startMonth 开始日期
     * @param endMonth 结束日期
     * @return list
     */
    List<Map<String, Object>> countAiIdentifyTrend(String startMonth,String endMonth);

    /**
     * ai抄表员成功率趋势
     * @param startMonth 开始日期
     * @param endMonth 结束日期
     * @return list
     */
    List<Map<String, Object>> countAiSuccess(String startMonth,String endMonth);

    /**
     * 稽核列表数据分页查询
     * @param page page
     * @param month 月份 yyyyMM
     * @param status 稽核状态 0 未稽核 1 已稽核
     * @return page
     */
    Page<Map<String, Object>> customsOfficerPage(Page page, String month,String status);

    /**
     * 更新ai识别数据
     * @return boolean
     */
    boolean updateAiReadWater(AiReadMeter aiReadMeter);

}
