/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.KhSearch;
import com.tofly.watermeter.custom.entity.meterRead.CensusAllocation;
import com.tofly.watermeter.custom.entity.meterRead.CensusBhAndXhList;
import com.tofly.watermeter.custom.entity.meterRead.QyAndQd;
import com.tofly.watermeter.entity.CensusBindZone;
import com.tofly.watermeter.entity.Qfkhjbxx;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 用户编号与区域、区域段绑定中间表
 *
 * @author wangjieliu
 * @date Mon Jun 07 00:00:00 CST 2021
 */
public interface CensusBindZoneService extends IService<CensusBindZone> {

    /**
     * 查询普查表绑定信息
     * @param page page
     * @param khSearch khSearch
     * @param response response
     * @return page
     */
    IPage<Qfkhjbxx> commonKh(Page<Qfkhjbxx> page , KhSearch khSearch, HttpServletResponse response);

    /**
     * 分配
     * @param allocation allocation
     * @return Boolean
     */
    boolean allocationManager(CensusAllocation allocation);

    /**
     * 调序
     * @param yhbhAndCbxhList yhbhAndCbxhList
     * @return boolean
     */
    boolean orderManager(CensusBhAndXhList yhbhAndCbxhList);

    /**
     * 获取区段
     * @param isState isState
     * @return list
     */
    List<QyAndQd> getQyAndQd(String isState);

}
