package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.entity.CensusPlanDetails;
import com.tofly.watermeter.entity.Qfcbplandetails;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
public interface CensusPlanDetailsService extends IService<CensusPlanDetails> {

    /**
     * 启用计划
     * @param ids 计划id
     * @return boolean
     */
    boolean planStart(String ids,String year);

    /**
     * 普查计划添加
     * @param censusPlanDetails censusPlanDetails
     * @return boolean
     */
    boolean insert(CensusPlanDetails censusPlanDetails);

    /**
     * 修改普查计划详情
     * @param censusPlanDetails censusPlanDetails
     * @return Boolean.TRUE
     */
    boolean update(CensusPlanDetails censusPlanDetails);

    /**
     * 查询已制定计划区段
     * @param page page
     * @param planId 计划id
     * @param cbqyBm 抄表区域编码
     * @return page
     */
    Page getQyInfoByPlan(Page<Qfcbplandetails> page, Long planId, String cbqyBm);

    /**
     * 普查计划--区域段任务汇总
     * @param qybm 区域编码
     * @return list
     */
    List<Map> censusPlanCollect(String qybm);

    /**
     * 区域任务汇总
     * @return list
     */
    List<Map> censusZoneCollect();

    /**
     * 删除计划详情及普查记录
     * @param ids ids
     * @return boolean
     */
    boolean deletePlanDetail(String ids);

}
