package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.CensusQueryDto;
import com.tofly.watermeter.entity.TableCensus;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
public interface TableCensusService extends IService<TableCensus> {
    /**
     * 添加普查信息
     * @param tableCensus 普查信息
     * @param electronicFile 电子文件
     * @param mechanicalFile 机械文件
     * @param tableFiles 表文件
     * @return Boolean.TRUE
     */
    boolean saveTableCensus(TableCensus tableCensus, List<MultipartFile> electronicFile, List<MultipartFile> mechanicalFile,List<MultipartFile> tableFiles);

    /**
     * 删除普查信息
     * @param ids id
     * @return boolean
     */
    boolean deleteTableCensus(String ids);

    /**
     * 修改普查信息
     * @param tableCensus 普查信息
     * @param electronicFiles 电子文件
     * @param mechanicalFiles 机械文件
     * @return Boolean.TRUE
     */
    boolean updateTableCensus(TableCensus tableCensus, List<MultipartFile> electronicFiles, List<MultipartFile> mechanicalFiles,List<MultipartFile> tableFiles);


    /**
     * 普查记录统计
     * @param dto dto
     * @return list
     */
    List<Map> censusRecordsCount(CensusQueryDto dto);

    /**
     * 普查记录列表
     * @param dto dto
     * @return page
     */
    Page<Map> censusRecordPage(Page page,CensusQueryDto dto);


    /**
     * 普查计划下载
     * @return page
     */
    Page<TableCensus> planDownLoad(Page page);

}
