package com.tofly.custom.entity.dto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class ScadaFlowReportDto {
    /**
     * 水厂指标
     */
    @ApiModelProperty("水厂指标")
    private String waterCodes;

    /**
     * 指标编码
     */
    @ApiModelProperty("污水厂指标")
    private String waterWsCodes;
    /**
     * 开始日期 yyyy-MM-dd
     */
    @ApiModelProperty("开始日期 yyyy-MM-dd")
    @NotNull(message ="开始日期不能为空")
    private String startDate;
    /**
     * 结束日期 yyyy-MM-dd
     */
    @ApiModelProperty("结束日期 yyyy-MM-dd")
    @NotNull(message ="结束日期不能为空")
    private String endDate;
    /**
     * 开始时间HH:mm:ss
     */
    @ApiModelProperty("开始时间 HH:mm:ss")
    private String startTime;


    /**
     * 结束时间 HH:mm:ss
     */
    @ApiModelProperty("结束时间 HH:mm:ss")
    private String endTime;
    /**
     * 每隔分钟数
     */
    @ApiModelProperty("每隔分钟数")
    @NotNull(message = "每隔分钟数不能为空")
    private Integer minutes;

    /**
     * 是否导出
     */
     @ApiModelProperty("是否导出,1是")
     private Integer exportStatus=0;

}
