package com.tofly.scada.entity.vo;


import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 物联网接入数据原始表(ScadaDeviceData)表实体类
 *
 * @author HaiQiu
 * @since 2023-04-03 11:15:38
 */
@Data
public class ScadaDeviceData implements Serializable {

    private static final long serialVersionUID = 987420524080627719L;

    /**
     * 设备唯一编号(必要)
     */
    @Excel(name = "设备唯一编号(必要)")
    @ApiModelProperty(value = "设备唯一编号(必要)")
    private String deviceId;
    /**
     * 数据产生时间
     */
    @Excel(name = "数据产生时间")
    @ApiModelProperty(value = "数据产生时间")
    private String generationTime;
    /**
     * 文件路径
     */
    @Excel(name = "文件路径")
    @ApiModelProperty(value = "文件路径")
    private String filePath;
}

