package com.tofly.spire.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 大表（管网）(SpireBigGrid)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-11 09:16:06
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "SPIRE_BIG_CONFIG", resultMap = "SpireBigConfigMap")
@ApiModel(value = "SpireBigConfig对象", description = "大表（管网）账号配置表")
public class SpireBigConfig extends Model<SpireBigConfig> {

    private static final long serialVersionUID = 517973460324815033L;

    @ApiModelProperty(value = "账号名称")
    private String appName;

    /**
     * appid
     */

    @ApiModelProperty(value = "appid")
    private String appid;

    /**
     * secret
     */

    @ApiModelProperty(value = "secret")
    private String secret;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty(value = "状态")
    private int status;



}

