package com.tofly.water.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class WaterSupplyInfoVo {

    @ApiModelProperty("水厂类型1，水厂，2污水厂")
    private   String waterType;

    //总统运行情况
    @ApiModelProperty("总设计供水/污水处理能力(m³)")
    private   BigDecimal designProcessingCapacity;

    @ApiModelProperty("今年所有水厂进水指标水量(m³)")
    private   BigDecimal waterSupplyInYear;


    @ApiModelProperty("今年所有水厂出水指标水量(m³)")
    private   BigDecimal waterSupplyOutYear;


    @ApiModelProperty("今日所有水厂进水指标水量(m³)")
    private   BigDecimal waterSupplyInDay;


    @ApiModelProperty("今日所有水厂出水指标水量(m³)")
    private   BigDecimal waterSupplyOutDay;


    @ApiModelProperty("当月所有水厂进水指标水量(m³)")
    private   BigDecimal waterSupplyInMonth;


    @ApiModelProperty("当月所有水厂出水指标水量(m³)")
    private   BigDecimal waterSupplyOutMonth;

    @ApiModelProperty("水厂/污水厂数量")
    private   Integer waterCount;

    @ApiModelProperty("水厂/污水明细数据")
    private List<WaterSupplyDetailVo> waterInfoList;

}
