package com.tofly.analyse.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 书签管理
 * @author zhoux
 */
@Data
@ApiModel
@TableName(value="tf_ywpn_gislabel_w",resultMap = "titleLabelMap")
public class TitleLabel {
	
	
	@TableId(value = "ID",type= IdType.ASSIGN_ID)
	@ApiModelProperty(value = "书签ID")
	private Long ID;
			
	@ApiModelProperty(value = "书签名称")
	private String markName;
	
	@ApiModelProperty(value = "图片链接")
	private String imgLink;
	
	@ApiModelProperty(value = "书签备注")
	private String remark;
	
	@ApiModelProperty(value = "书签地图缩放比例")
	private Double zoom;
	
	@ApiModelProperty(value = "中心点")
	private String center;
	
	@ApiModelProperty(value = "用户ID")
	private Long userId;
	
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
	


}
