package com.tofly.analyse.entity.dataImport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel
public class TfJsJsNodeB {
	
	@ApiModelProperty(value = "管线特征点编号")
	private String sid;

	@ApiModelProperty(value = "X坐标")
	private Double x;

	@ApiModelProperty(value = "Y坐标")
	private Double y;

	@ApiModelProperty(value = "地面高程")
	private Double groundz;

	@ApiModelProperty(value = "特征")
	private String aspecttype;

	@ApiModelProperty(value = "管径（mm）")
	private Long diameter;

	@ApiModelProperty(value = "管线材质")
	private String material;

	@ApiModelProperty(value = "附属物")
	private String fixturetype;

	@ApiModelProperty(value = "井底高程")
	private Double welldem;

	@ApiModelProperty(value = "井底埋深（m）")
	private Double wellbottom;

	@ApiModelProperty(value = "点符号代码")
	private String nodecode;

	@ApiModelProperty(value = "图幅号")
	private String distno;

	@ApiModelProperty(value = "勘测单位")
	private String surveyunit;

	@ApiModelProperty(value = "权属单位")
	private String ownerunit;

	@ApiModelProperty(value = "管辖单位")
	private String maintainedunit;

	@ApiModelProperty(value = "埋设年代")
	private String buryyear;

	@ApiModelProperty(value = "精度级别")
	private String precisionclass;

	@ApiModelProperty(value = "偏心井位")
	private String wellbore;

	@ApiModelProperty(value = "管点旋转角（°）")
	private Double rotation;

	@ApiModelProperty(value = "勘测日期")
	private String surveydate;

	@ApiModelProperty(value = "入库日期")
	private String indate;

	@ApiModelProperty(value = "所在道路")
	private String laneway;

	@ApiModelProperty(value = "地址")
	private String address;

	@ApiModelProperty(value = "井盖形状")
	private String manholetype;

	@ApiModelProperty(value = "井盖材质")
	private String manholematerial;

	@ApiModelProperty(value = "井盖直径（m)")
	private Double manholemiameter;

	@ApiModelProperty(value = "井盖长（m）")
	private Double manholelen;

	@ApiModelProperty(value = "井盖宽（m）")
	private Double manholewidth;

	@ApiModelProperty(value = "井室类型")
	private String welltype;

	@ApiModelProperty(value = "井室材质")
	private String wellmateial;

	@ApiModelProperty(value = "井脖深（m）")
	private Double wellneckdepth;

	@ApiModelProperty(value = "井室直径（m）")
	private Double wellmiameter;

	@ApiModelProperty(value = "井室长（m）")
	private Double welllen;

	@ApiModelProperty(value = "井室宽（m）")
	private Double wellwidth;

	@ApiModelProperty(value = "井室高（m）")
	private Double wellheight;

	@ApiModelProperty(value = "特殊井室码")
	private String wellcode;

	@ApiModelProperty(value = "地面设施长（m）")
	private Double groundlen;

	@ApiModelProperty(value = "地面设施宽（m）")
	private Double groundwidth;

	@ApiModelProperty(value = "地面设施高（m）")
	private Double groundheight;

	@ApiModelProperty(value = "图上点号")
	private String mapno;

	@ApiModelProperty(value = "所属片区")
	private String areano;

	@ApiModelProperty(value = "行政区")
	private String district;

	@ApiModelProperty(value = "录入人")
	private String createuser;

	@ApiModelProperty(value = "录入日期")
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createddate;

	@ApiModelProperty(value = "更新日期")
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateddate;

	@ApiModelProperty(value = "更新人")
	private String UPDATEUSER;

	@ApiModelProperty(value = "审核是否通过")
	private String auditedispass;

	@ApiModelProperty(value = "审核人")
	private String auditeuser;

	@ApiModelProperty(value = "审核日期")
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date auditeddate;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "系统编码")
	private String obj_code;

	@ApiModelProperty(value = "附件图片")
	private String file_ids;

}
