package com.tofly.analyse.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.analyse.entity.TitleLabel;
import com.tofly.analyse.mapper.TitleLabelMapper;
import com.tofly.analyse.service.TitleLabelService;
import com.tofly.common.oauth.util.SecurityUtils;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 书签管理
 *
 * @author zhoux
 * @date Tue Apr 28 00:00:00 CST 2020
 */
@AllArgsConstructor
@Service("titleLabelService")
public class TitleLabelServiceImpl extends ServiceImpl<TitleLabelMapper, TitleLabel> implements TitleLabelService {
		
	private final TitleLabelMapper titleLabelMapper;	
				
	public boolean saveTitleLabel(HttpServletRequest servletRequest,TitleLabel titleLabel) throws Exception {
		titleLabel.setUserId(SecurityUtils.getUserId());
		titleLabelMapper.insert(titleLabel);
		return true;
	}
	@Override
	public Page<Map<String, Object>> getTitleLabelPage(Page<Map<String, Object>> page, Map map) {
		return page.setRecords(titleLabelMapper.getTitleLabelPage(page,map));
	}



}