package com.tofly.analyse.util.analysis;

import com.supermap.License;
import com.supermap.data.*;
import com.tofly.analyse.config.ConfigProperty;
import com.tofly.analyse.entity.em.DataTypeEnum;
import com.tofly.common.core.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DatasourceConfig {
    /**
     * 配置文件
     */
    @Autowired
    private ConfigProperty configProperty;

    public Datasource getDatasource(Workspace workspace) {
        DatasourceConnectionInfo info = new DatasourceConnectionInfo();
        if (configProperty.getDataType().equals(DataTypeEnum.MYSQL.getCode())) {
            info.setEngineType(EngineType.MYSQL);
        }
        if (configProperty.getDataType().equals(DataTypeEnum.ORACLE.getCode())) {
            info.setEngineType(EngineType.ORACLEPLUS);
        }
        if (configProperty.getDataType().equals(DataTypeEnum.POSTGRESQL.getCode())) {
            info.setEngineType(EngineType.POSTGRESQL);
        }
        if (configProperty.getDataType().equals(DataTypeEnum.POSTGIS.getCode())) {
            info.setEngineType(EngineType.PGGIS);
        }
        info.setDatabase(configProperty.getDatabase());
        info.setServer(configProperty.getUrl());
        info.setUser(configProperty.getUsername());
        info.setPassword(configProperty.getPwd());
        Datasource datasource = workspace.getDatasources().open(info);
        return datasource;
    }

    public void loginSuperMap(){
        if(StringUtil.isNotEmpty(configProperty.getIsOnline())) {
            //传入SuperMap Online帐号，登录自动检索可用许可
            CloudLicense.login(configProperty.getUser(), configProperty.getUserPwd());
            //连接云许可中的许可模块，验证是否云许可获取是否成功，成功返回0
            com.supermap.License lic = new License();
            int code = lic.connect(65400);
        }
    }

}